<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2023
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */


namespace openkm\bean;

/**
 * Relation
 *
 * @author sochoa
 */
class Relation {

    private $id;
    private $user;
    private $node;
    private $type;
    private $name;
    private $relationTitle;
    private $relationType;
    
    function __construct() {
        
    }
    public function getId() {
        return $this->id;
    }

    public function getUser() {
        return $this->user;
    }

    public function getNode() {
        return $this->node;
    }

    public function getType() {
        return $this->type;
    }

    public function getName() {
        return $this->name;
    }

    public function getRelationTitle() {
        return $this->relationTitle;
    }

    public function getRelationType() {
        return $this->relationType;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function setUser($user) {
        $this->user = $user;
    }

    public function setNode($node) {
        $this->node = $node;
    }

    public function setType($type) {
        $this->type = $type;
    }

    public function setName($name) {
        $this->name = $name;
    }

    public function setRelationTitle($relationTitle) {
        $this->relationTitle = $relationTitle;
    }

    public function setRelationType($relationType) {
        $this->relationType = $relationType;
    }



}

?>
